# Uses of Class
it.tdlight.jni.TdApi.PageBlockVerticalAlignment

## Uses of TdApi.PageBlockVerticalAlignment in it.tdlight.jni

Subclasses of TdApi.PageBlockVerticalAlignment in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PageBlockVerticalAlignmentBottom`
The content must be bottom-aligned.
`static final class`
`TdApi.PageBlockVerticalAlignmentMiddle`
The content must be middle-aligned.
`static final class`
`TdApi.PageBlockVerticalAlignmentTop`
The content must be top-aligned.
Fields in it.tdlight.jni declared as TdApi.PageBlockVerticalAlignment
Modifier and Type
Field
Description
`TdApi.PageBlockVerticalAlignment`
TdApi.PageBlockTableCell.`valign`
Vertical cell content alignment.
Constructors in it.tdlight.jni with parameters of type TdApi.PageBlockVerticalAlignment
Modifier
Constructor
Description
``
`PageBlockTableCell(TdApi.RichText text, boolean isHeader, int colspan, int rowspan, TdApi.PageBlockHorizontalAlignment align, TdApi.PageBlockVerticalAlignment valign)`
Represents a cell of a table.